Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047268
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[POS2] POSminorhave not tried2021-06-17 18:152021-07-01 12:09
ReporterAugustoMauchView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionTAP
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047268: JIRA-1902: First click after changing the keymap page does not select the clicked element

DescriptionUsers can drag a keymap to change the current page, if the keymap has several pages. Sometimes, clicking a keymap element right after changing the current page by dragging does not produce the expected result (i.e. the clicked keymap category is not selected).

This happens only if the position of the cursor when the drag has been long enough to change the page is outside the keymap.
Steps To Reproduce1- Open WebPOS
2- Select the Store Keymap
3- Make the window narrow to change the category keymap layout so that only two are displayed in each page, so that the keymap contains several pages.
4- Drag the keymap from right to left, starting from the right part of the keymap so that when the page is changed the cursor is still in the keymap. Click on a keymap category after the page is changed -> it will be selected, as expected
5- Repeat the same action, but when dragging the page start from the left part of the keymap so that the page is changed when the cursor is outside the keymap, to its left. Click on a keymap category after the page is changed -> it will not be selected, an extra click is required -> this is wrong

If Device mode is on (by using a touch device or by activating it in the dev tools), changing the page in both steps 4 and 5 will fail.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0047178 closedAugustoMauch JIRA-1902: First click after changing the keymap page does not select the clicked element 

-  Notes
(0130057)
AugustoMauch (developer)
2021-07-01 12:09

Fixed in changeset: https://gitlab.com/obcustomers/AGAP/org.openbravo.core2/-/commit/0a9548889601ec8bd1e5b13e38dceb1e3c072bb2 [^]

- Issue History
Date Modified Username Field Change
2021-06-28 19:32 guilleaer Type defect => backport
2021-06-28 19:32 guilleaer Target Version => TAP
2021-06-28 19:36 guilleaer Summary First click after changing the keymap page does not select the clicked element => JIRA-1902: First click after changing the keymap page does not select the clicked element
2021-06-28 19:36 guilleaer Resolution time 1626559200 => 1625608800
2021-07-01 12:09 AugustoMauch Note Added: 0130057
2021-07-01 12:09 AugustoMauch Status scheduled => resolved
2021-07-01 12:09 AugustoMauch Resolution open => fixed
2021-07-01 12:09 AugustoMauch Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker